### Method

# GUPnP ServiceAction get_values

since: 0.14.0

#### Declaration [src]

    GList*
    gupnp_service_action_get_values (
      GUPnPServiceAction* action,
      GList* arg_names,
      GList* arg_types
    )

#### Description [src]

A variant of #gupnp_service_action_get that uses `GList` instead of varargs.

Available since: 0.14.0

#### Parameters

`arg_names`

  Type: A list of `utf8`

  A `GList` of argument names as string.

  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`arg_types`

  Type: A list of `GType`

  A `GList` of argument types as `GType`.

  The data is owned by the caller of the method.

#### Return value

Type: A list of `const GValue*`

The values as `GList` of `GValue`. `g_list_free()` the returned list and `g_value_unset()` and `g_slice_free()` each element.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.